%define dist Class-Container
Name: perl-%dist
Version: 0.11
Release: alt1

Summary: Glues object frameworks together transparently
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 01 2004
BuildRequires: perl-Module-Build perl-Params-Validate perl-devel

%description
This class facilitates building frameworks of several classes that
inter-operate.  It was first designed and built for HTML::Mason,
in which the Compiler, Lexer, Interpreter, Resolver, Component, Buffer,
and several other objects must create each other transparently,
passing the appropriate parameters to the right class, possibly
substituting other subclasses for any of these objects.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/Class*
%perl_vendor_man3dir/Class*

%changelog
* Thu Jul 01 2004 Alexey Tourbin <at@altlinux.ru> 0.11-alt1
- initial revision
